Bug 519783 - [QLogic 5.5 bug] qlge - fix hangs and read perfromance [rhel-5.4.z]
Summary: [QLogic 5.5 bug] qlge - fix hangs and read perfromance [rhel-5.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 517893
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 19:15 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:17 UTC (History)
14 users (show)

Fixed In Version: kernel-2.6.18-164.1.1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 19:33:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1455 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-09-29 19:33:31 UTC

Description RHEL Product and Program Management 2009-08-27 19:15:06 UTC
This bug has been copied from bug #517893 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Jiri Pirko 2009-09-08 11:10:53 UTC
in kernel-2.6.18-164.1.1.el5

Comment 7 errata-xmlrpc 2009-09-29 19:33:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1455.html

Comment 8 Richard A Lary 2009-10-02 15:36:51 UTC
On PowerPC platforms an additional step is required to realize the full effect of this qlge driver fix. The qla2xxx driver must be configured to use MSI-X interrupts instead of default INTA interrupts.  

Configure the qla2xxx driver to load with ql2xenablemsix=1 by adding an options line for qla2xxx to /etc/modprobe.conf or appending this option to an already existing options qa2xxx line. 

options qla2xxx ql2xenablemsix=1

After making this change to /etc/modprobe.conf a new initrd must be built as qla2xxx driver loads at boot.

See Red Hat documentation for how to build new initrd.


Note You need to log in before you can comment on or make changes to this bug.